Skip to main content
GET
https://finsync.ar
/
api
/
clients
Get clients with their accounts
curl --request GET \
  --url https://finsync.ar/api/clients \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "description": "<string>",
      "company_id": 123,
      "type": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "accounts": [
        {
          "id": 123,
          "name": "<string>",
          "currency_name": "<string>",
          "client_id": 123,
          "balance": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "count": 123
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

page
integer
default:1

Page number for pagination

pageSize
integer
default:10

Number of items per page

description
string

Filter clients by description (case-insensitive partial match)

Response

Paginated list of clients with their accounts

data
object[]
count
integer

Total count of clients matching the query